//
// elements/accordion
// ce_accordionSingle, ce_accordionStart, ce_accordionStop
//

.ce_accordion {
  .toggler {
    cursor: pointer;
    position: relative;
    padding-right: 1.5rem;

    > * {
      margin-bottom: 0;
    }

    > *::after {
      content: '+';
      color: $color-highlight;
      position: absolute;
      top: 0;
      right: 0;
      transform: rotate(45deg);
      font-weight: normal;
      @include transition(transform);
    }

    &[aria-selected="false"] > *::after {
      transform: rotate(0);
    }

    &:focus {
      outline: none;
    }
  }

  .accordion > div {
    margin-top: $base-spacing-unit;
  }
}
